Foreman - Bug #11258

Can't update BMC through API without specifying provider
07/30/2015 08:48 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: BMC
Target version: 1.9.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2587
Description

When trying to update or create BMC interface through API | get the following response

"error": {"message":"undefined method ‘upcase!' for nil:NilClass"}

looking at production log | found following trace

2015-07-30T14:40:01 [app] [W] Action failed

| NoMethodError: undefined method “upcase!' for nil:NilClass

| /home/ares/Projekty/Zdrojaky/foreman/app/models/nic/bmc.rb:5:in "block in <class:BMC>'

| /home/ares/.rbenv/versions/2.0.0-p247/1ib/ruby/gems/2.0.0/gems/activesupport-3.2.21/1lib/active_
support/callbacks.rb:473:in "_run_ 1304768842026040595__validation_ 60779692721052316__callbacks'

| /home/ares/.rbenv/versions/2.0.0-p247/1ib/ruby/gems/2.0.0/gems/activesupport-3.2.21/1ib/active_
support/callbacks.rb:405:in *_ run_callback'

| /home/ares/.rbenv/versions/2.0.0-p247/1ib/ruby/gems/2.0.0/gems/activesupport-3.2.21/1ib/active_
support/callbacks.rb:385:in "_run_validation_callbacks'

| /home/ares/.rbenv/versions/2.0.0-p247/1ib/ruby/gems/2.0.0/gems/activesupport-3.2.21/1ib/active_
support/callbacks.rb:81:in "run_callbacks'

| /home/ares/.rbenv/versions/2.0.0-p247/1ib/ruby/gems/2.0.0/gems/activemodel-3.2.21/1ib/active_mo
del/validations/callbacks.rb:53:in ‘run_validations!'

| /home/ares/.rbenv/versions/2.0.0-p247/1ib/ruby/gems/2.0.0/gems/activemodel-3.2.21/1ib/active_mo
del/validations.rb:195:in “valid?'

| /home/ares/.rbenv/versions/2.0.0-p247/1ib/ruby/gems/2.0.0/gems/activerecord-3.2.21/1ib/active_r
ecord/validations.rb:69:in “valid?'

| /home/ares/Projekty/Zdrojaky/foreman/app/models/concerns/orchestration.rb:59:in “valid?'

To reproduce:
curl -k -uadmin:changeme https://localhost:443/api/hosts/bmcipmi.example.com/interfaces/ —-X POST -

d '{"identifier": "ipmi2", "username": "root", "mac": "aa:bb:cc:dd:aa:bb", "type":"bmc"}' -H 'Cont
ent-Type: application/json'

Related issues:
Related to Foreman - Bug #11244: MAC taken error when updating NIC IPMI detai... Resolved 07/29/2015

Associated revisions

Revision 3b27c¢173 - 07/31/2015 11:59 AM - Marek Hulan
Fixes #11258 - validation handles blank provider

Revision 2c3cd215 - 09/09/2015 10:51 AM - Marek Hulan
Fixes #11258 - validation handles blank provider

(cherry picked from commit 3b27¢173467c3ab4b53e844913cfd559b78d44ac)
History

#1 - 07/30/2015 08:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2587 added
- Pull request deleted ()

#2 - 07/30/2015 08:49 AM - Marek Hulan
- Related to Bug #11244: MAC taken error when updating NIC IPMI details through API added

#3 - 07/31/2015 12:02 PM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 3b27¢c173467c3ab4b53e844913cfd559b78d44ac.

#4 - 08/03/2015 03:31 AM - Dominic Cleal

- translation missing: en.field_release set to 72
